aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/function/gather_trex.sh
diff options
context:
space:
mode:
authorpmikus <peter.mikus@protonmail.ch>2024-07-31 15:30:40 +0200
committerPeter Mikus <peter.mikus@protonmail.ch>2024-07-31 13:44:15 +0000
commit07442ec8fa86a8279e9e49a0829ec5b7916931d2 (patch)
treebbdf8564ccb60f9a20658c189f1c91aa441535b3 /resources/libraries/bash/function/gather_trex.sh
parent8a489a42c35487d5d69c48aaa3ce57302cdd7fd0 (diff)
feat(bootstrap): Split gather.shoper-240729
Signed-off-by: Peter Mikus <peter.mikus@protonmail.ch> Change-Id: I8bf1fbf49d224b89f2da4a7f08bdf932cad9fd35 (cherry picked from commit cac0e1ee4248bbe22f3a8acdd52539f2d861bb0f)
Diffstat (limited to 'resources/libraries/bash/function/gather_trex.sh')
-rw-r--r--resources/libraries/bash/function/gather_trex.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/resources/libraries/bash/function/gather_trex.sh b/resources/libraries/bash/function/gather_trex.sh
new file mode 100644
index 0000000000..99591affc3
--- /dev/null
+++ b/resources/libraries/bash/function/gather_trex.sh
@@ -0,0 +1,30 @@
+# Copyright (c) 2024 Cisco and/or its affiliates.
+# Copyright (c) 2024 PANTHEON.tech and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -exuo pipefail
+
+# This library defines functions used mainly by "bootstrap" entry scripts.
+# Generally, the functions assume "common.sh" library has been sourced already.
+
+# Keep functions ordered alphabetically, please.
+
+function gather_trex () {
+
+ # This function is required to bypass download dir check.
+ # Currently it creates empty file in download dir.
+
+ set -exuo pipefail
+
+ touch trex-download-to-be-added.txt
+}